<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
  <head>
    <meta charset="utf-8" />
    <meta name="generator" content="pandoc" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=yes"
    />
    <title>new-bashrc</title>
    <style type="text/css">
      code {
        white-space: pre-wrap;
      }
      span.smallcaps {
        font-variant: small-caps;
      }
      span.underline {
        text-decoration: underline;
      }
      div.column {
        display: inline-block;
        vertical-align: top;
        width: 50%;
      }
    </style>
    <style type="text/css">
      a.sourceLine {
        display: inline-block;
        line-height: 1.25;
      }
      a.sourceLine {
        pointer-events: none;
        color: inherit;
        text-decoration: inherit;
      }
      a.sourceLine:empty {
        height: 1.2em;
      }
      .sourceCode {
        overflow: visible;
      }
      code.sourceCode {
        white-space: pre;
        position: relative;
      }
      div.sourceCode {
        margin: 1em 0;
      }
      pre.sourceCode {
        margin: 0;
      }
      @media screen {
        div.sourceCode {
          overflow: auto;
        }
      }
      @media print {
        code.sourceCode {
          white-space: pre-wrap;
        }
        a.sourceLine {
          text-indent: -1em;
          padding-left: 1em;
        }
      }
      pre.numberSource a.sourceLine {
        position: relative;
        left: -4em;
      }
      pre.numberSource a.sourceLine::before {
        content: attr(title);
        position: relative;
        left: -1em;
        text-align: right;
        vertical-align: baseline;
        border: none;
        pointer-events: all;
        display: inline-block;
        -webkit-touch-callout: none;
        -webkit-user-select: none;
        -khtml-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
        padding: 0 4px;
        width: 4em;
        color: #aaaaaa;
      }
      pre.numberSource {
        margin-left: 3em;
        border-left: 1px solid #aaaaaa;
        padding-left: 4px;
      }
      div.sourceCode {
      }
      @media screen {
        a.sourceLine::before {
          text-decoration: underline;
        }
      }
      code span.al {
        color: #ff0000;
        font-weight: bold;
      } /* Alert */
      code span.an {
        color: #60a0b0;
        font-weight: bold;
        font-style: italic;
      } /* Annotation */
      code span.at {
        color: #7d9029;
      } /* Attribute */
      code span.bn {
        color: #40a070;
      } /* BaseN */
      code span.bu {
      } /* BuiltIn */
      code span.cf {
        color: #007020;
        font-weight: bold;
      } /* ControlFlow */
      code span.ch {
        color: #4070a0;
      } /* Char */
      code span.cn {
        color: #880000;
      } /* Constant */
      code span.co {
        color: #60a0b0;
        font-style: italic;
      } /* Comment */
      code span.cv {
        color: #60a0b0;
        font-weight: bold;
        font-style: italic;
      } /* CommentVar */
      code span.do {
        color: #ba2121;
        font-style: italic;
      } /* Documentation */
      code span.dt {
        color: #902000;
      } /* DataType */
      code span.dv {
        color: #40a070;
      } /* DecVal */
      code span.er {
        color: #ff0000;
        font-weight: bold;
      } /* Error */
      code span.ex {
      } /* Extension */
      code span.fl {
        color: #40a070;
      } /* Float */
      code span.fu {
        color: #06287e;
      } /* Function */
      code span.im {
      } /* Import */
      code span.in {
        color: #60a0b0;
        font-weight: bold;
        font-style: italic;
      } /* Information */
      code span.kw {
        color: #007020;
        font-weight: bold;
      } /* Keyword */
      code span.op {
        color: #666666;
      } /* Operator */
      code span.ot {
        color: #007020;
      } /* Other */
      code span.pp {
        color: #bc7a00;
      } /* Preprocessor */
      code span.sc {
        color: #4070a0;
      } /* SpecialChar */
      code span.ss {
        color: #bb6688;
      } /* SpecialString */
      code span.st {
        color: #4070a0;
      } /* String */
      code span.va {
        color: #19177c;
      } /* Variable */
      code span.vs {
        color: #4070a0;
      } /* VerbatimString */
      code span.wa {
        color: #60a0b0;
        font-weight: bold;
        font-style: italic;
      } /* Warning */
    </style>
  </head>
  <body>
    <div class="sourceCode" id="cb1">
      <pre
        class="sourceCode bash"
      ><code class="sourceCode bash"><a class="sourceLine" id="cb1-1" title="1"><span class="co"># ~/.bashrc: executed by bash(1) for non-login shells.</span></a>
<a class="sourceLine" id="cb1-2" title="2"><span class="co"># see /usr/share/doc/bash/examples/startup-files (in the package bash-doc)</span></a>
<a class="sourceLine" id="cb1-3" title="3"><span class="co"># for examples</span></a>
<a class="sourceLine" id="cb1-4" title="4"></a>
<a class="sourceLine" id="cb1-5" title="5"><span class="co"># If not running interactively, don&#39;t do anything</span></a>
<a class="sourceLine" id="cb1-6" title="6"><span class="kw">case</span> <span class="va">$-</span><span class="kw"> in</span></a>
<a class="sourceLine" id="cb1-7" title="7">    *i*<span class="kw">)</span> <span class="kw">;;</span></a>
<a class="sourceLine" id="cb1-8" title="8">      *<span class="kw">)</span> <span class="bu">return</span><span class="kw">;;</span></a>
<a class="sourceLine" id="cb1-9" title="9"><span class="kw">esac</span></a>
<a class="sourceLine" id="cb1-10" title="10"></a>
<a class="sourceLine" id="cb1-11" title="11"><span class="co"># don&#39;t put duplicate lines or lines starting with space in the history.</span></a>
<a class="sourceLine" id="cb1-12" title="12"><span class="co"># See bash(1) for more options</span></a>
<a class="sourceLine" id="cb1-13" title="13"><span class="va">HISTCONTROL=</span>ignoreboth</a>
<a class="sourceLine" id="cb1-14" title="14"></a>
<a class="sourceLine" id="cb1-15" title="15"><span class="co"># append to the history file, don&#39;t overwrite it</span></a>
<a class="sourceLine" id="cb1-16" title="16"><span class="bu">shopt</span> -s histappend</a>
<a class="sourceLine" id="cb1-17" title="17"></a>
<a class="sourceLine" id="cb1-18" title="18"><span class="co"># for setting history length see HISTSIZE and HISTFILESIZE in bash(1)</span></a>
<a class="sourceLine" id="cb1-19" title="19"><span class="va">HISTSIZE=</span>1000</a>
<a class="sourceLine" id="cb1-20" title="20"><span class="va">HISTFILESIZE=</span>2000</a>
<a class="sourceLine" id="cb1-21" title="21"></a>
<a class="sourceLine" id="cb1-22" title="22"><span class="co"># check the window size after each command and, if necessary,</span></a>
<a class="sourceLine" id="cb1-23" title="23"><span class="co"># update the values of LINES and COLUMNS.</span></a>
<a class="sourceLine" id="cb1-24" title="24"><span class="bu">shopt</span> -s checkwinsize</a>
<a class="sourceLine" id="cb1-25" title="25"></a>
<a class="sourceLine" id="cb1-26" title="26"><span class="co"># If set, the pattern &quot;**&quot; used in a pathname expansion context will</span></a>
<a class="sourceLine" id="cb1-27" title="27"><span class="co"># match all files and zero or more directories and subdirectories.</span></a>
<a class="sourceLine" id="cb1-28" title="28"><span class="co">#shopt -s globstar</span></a>
<a class="sourceLine" id="cb1-29" title="29"></a>
<a class="sourceLine" id="cb1-30" title="30"><span class="co"># make less more friendly for non-text input files, see lesspipe(1)</span></a>
<a class="sourceLine" id="cb1-31" title="31"><span class="bu">[</span> <span class="ot">-x</span> /usr/bin/lesspipe<span class="bu"> ]</span> <span class="kw">&amp;&amp;</span> <span class="bu">eval</span> <span class="st">&quot;</span><span class="va">$(SHELL=</span>/bin/sh <span class="ex">lesspipe</span><span class="va">)</span><span class="st">&quot;</span></a>
<a class="sourceLine" id="cb1-32" title="32"></a>
<a class="sourceLine" id="cb1-33" title="33"><span class="co"># set variable identifying the chroot you work in (used in the prompt below)</span></a>
<a class="sourceLine" id="cb1-34" title="34"><span class="kw">if</span><span class="bu"> [</span> <span class="ot">-z</span> <span class="st">&quot;</span><span class="va">${debian_chroot:-}</span><span class="st">&quot;</span><span class="bu"> ]</span> <span class="kw">&amp;&amp;</span><span class="bu"> [</span> <span class="ot">-r</span> /etc/debian_chroot<span class="bu"> ]</span>; <span class="kw">then</span></a>
<a class="sourceLine" id="cb1-35" title="35">    <span class="va">debian_chroot=$(</span><span class="fu">cat</span> /etc/debian_chroot<span class="va">)</span></a>
<a class="sourceLine" id="cb1-36" title="36"><span class="kw">fi</span></a>
<a class="sourceLine" id="cb1-37" title="37"></a>
<a class="sourceLine" id="cb1-38" title="38"><span class="co"># set a fancy prompt (non-color, unless we know we &quot;want&quot; color)</span></a>
<a class="sourceLine" id="cb1-39" title="39"><span class="kw">case</span> <span class="st">&quot;</span><span class="va">$TERM</span><span class="st">&quot;</span><span class="kw"> in</span></a>
<a class="sourceLine" id="cb1-40" title="40">    xterm-color<span class="kw">|</span>*-256color<span class="kw">)</span> <span class="va">color_prompt=</span>yes<span class="kw">;;</span></a>
<a class="sourceLine" id="cb1-41" title="41"><span class="kw">esac</span></a>
<a class="sourceLine" id="cb1-42" title="42"></a>
<a class="sourceLine" id="cb1-43" title="43"><span class="co"># uncomment for a colored prompt, if the terminal has the capability; turned</span></a>
<a class="sourceLine" id="cb1-44" title="44"><span class="co"># off by default to not distract the user: the focus in a terminal window</span></a>
<a class="sourceLine" id="cb1-45" title="45"><span class="co"># should be on the output of commands, not on the prompt</span></a>
<a class="sourceLine" id="cb1-46" title="46"><span class="co">#force_color_prompt=yes</span></a>
<a class="sourceLine" id="cb1-47" title="47"></a>
<a class="sourceLine" id="cb1-48" title="48"><span class="kw">if</span><span class="bu"> [</span> <span class="ot">-n</span> <span class="st">&quot;</span><span class="va">$force_color_prompt</span><span class="st">&quot;</span><span class="bu"> ]</span>; <span class="kw">then</span></a>
<a class="sourceLine" id="cb1-49" title="49">    <span class="kw">if</span><span class="bu"> [</span> <span class="ot">-x</span> /usr/bin/tput<span class="bu"> ]</span> <span class="kw">&amp;&amp;</span> <span class="ex">tput</span> setaf 1 <span class="op">&gt;</span><span class="kw">&amp;</span><span class="ex">/dev/null</span>; <span class="kw">then</span></a>
<a class="sourceLine" id="cb1-50" title="50">    <span class="co"># We have color support; assume it&#39;s compliant with Ecma-48</span></a>
<a class="sourceLine" id="cb1-51" title="51">    <span class="co"># (ISO/IEC-6429). (Lack of such support is extremely rare, and such</span></a>
<a class="sourceLine" id="cb1-52" title="52">    <span class="co"># a case would tend to support setf rather than setaf.)</span></a>
<a class="sourceLine" id="cb1-53" title="53">    <span class="va">color_prompt=</span>yes</a>
<a class="sourceLine" id="cb1-54" title="54">    <span class="kw">else</span></a>
<a class="sourceLine" id="cb1-55" title="55">    <span class="va">color_prompt=</span></a>
<a class="sourceLine" id="cb1-56" title="56">    <span class="kw">fi</span></a>
<a class="sourceLine" id="cb1-57" title="57"><span class="kw">fi</span></a>
<a class="sourceLine" id="cb1-58" title="58"></a>
<a class="sourceLine" id="cb1-59" title="59"><span class="kw">if</span><span class="bu"> [</span> <span class="st">&quot;</span><span class="va">$color_prompt</span><span class="st">&quot;</span> <span class="ot">=</span> yes<span class="bu"> ]</span>; <span class="kw">then</span></a>
<a class="sourceLine" id="cb1-60" title="60">   <span class="va">PS1=</span><span class="st">&quot;\[\033[m\]|\[\033[1;35m\]\t\[\033[m\]|\[\e[1;31m\]\u\[\e[1;36m\]\[\033[m\]@\[\e[1;36m\]\h\[\033[m\]:\[\e[0m\]\[\e[1;32m\][\W]\[\033[1;31m\] \W_exitstatus:</span><span class="dt">\$</span><span class="st">?\[\033[00m\]__________________________________________________________o&gt;\n\n&quot;</span></a>
<a class="sourceLine" id="cb1-61" title="61"><span class="kw">else</span></a>
<a class="sourceLine" id="cb1-62" title="62">    <span class="va">PS1=</span><span class="st">&#39;${debian_chroot:+($debian_chroot)}\u@\h:\w\$ &#39;</span></a>
<a class="sourceLine" id="cb1-63" title="63"><span class="kw">fi</span></a>
<a class="sourceLine" id="cb1-64" title="64"><span class="bu">unset</span> <span class="va">color_prompt</span> <span class="va">force_color_prompt</span></a>
<a class="sourceLine" id="cb1-65" title="65"></a>
<a class="sourceLine" id="cb1-66" title="66"><span class="co"># If this is an xterm set the title to user@host:dir</span></a>
<a class="sourceLine" id="cb1-67" title="67"><span class="kw">case</span> <span class="st">&quot;</span><span class="va">$TERM</span><span class="st">&quot;</span><span class="kw"> in</span></a>
<a class="sourceLine" id="cb1-68" title="68">xterm*<span class="kw">|</span>rxvt*<span class="kw">)</span></a>
<a class="sourceLine" id="cb1-69" title="69">    <span class="va">PS1=</span><span class="st">&quot;\[\e]0;</span><span class="va">${debian_chroot:+</span>(<span class="va">$debian_chroot</span>)<span class="va">}</span><span class="st">\u@\h: \w\a\]</span><span class="va">$PS1</span><span class="st">&quot;</span></a>
<a class="sourceLine" id="cb1-70" title="70">    <span class="kw">;;</span></a>
<a class="sourceLine" id="cb1-71" title="71">*<span class="kw">)</span></a>
<a class="sourceLine" id="cb1-72" title="72">    <span class="kw">;;</span></a>
<a class="sourceLine" id="cb1-73" title="73"><span class="kw">esac</span></a>
<a class="sourceLine" id="cb1-74" title="74"></a>
<a class="sourceLine" id="cb1-75" title="75"><span class="co"># enable color support of ls and also add handy aliases</span></a>
<a class="sourceLine" id="cb1-76" title="76"><span class="kw">if</span><span class="bu"> [</span> <span class="ot">-x</span> /usr/bin/dircolors<span class="bu"> ]</span>; <span class="kw">then</span></a>
<a class="sourceLine" id="cb1-77" title="77">    <span class="bu">test</span> -r ~/.dircolors <span class="kw">&amp;&amp;</span> <span class="bu">eval</span> <span class="st">&quot;</span><span class="va">$(</span><span class="fu">dircolors</span> -b ~/.dircolors<span class="va">)</span><span class="st">&quot;</span> <span class="kw">||</span> <span class="bu">eval</span> <span class="st">&quot;</span><span class="va">$(</span><span class="fu">dircolors</span> -b<span class="va">)</span><span class="st">&quot;</span></a>
<a class="sourceLine" id="cb1-78" title="78">    <span class="bu">alias</span> ls=<span class="st">&#39;ls --color=auto&#39;</span></a>
<a class="sourceLine" id="cb1-79" title="79">    <span class="co">#alias dir=&#39;dir --color=auto&#39;</span></a>
<a class="sourceLine" id="cb1-80" title="80">    <span class="co">#alias vdir=&#39;vdir --color=auto&#39;</span></a>
<a class="sourceLine" id="cb1-81" title="81"></a>
<a class="sourceLine" id="cb1-82" title="82">    <span class="bu">alias</span> grep=<span class="st">&#39;grep --color=auto&#39;</span></a>
<a class="sourceLine" id="cb1-83" title="83">    <span class="bu">alias</span> fgrep=<span class="st">&#39;fgrep --color=auto&#39;</span></a>
<a class="sourceLine" id="cb1-84" title="84">    <span class="bu">alias</span> egrep=<span class="st">&#39;egrep --color=auto&#39;</span></a>
<a class="sourceLine" id="cb1-85" title="85"><span class="kw">fi</span></a>
<a class="sourceLine" id="cb1-86" title="86"></a>
<a class="sourceLine" id="cb1-87" title="87"><span class="co"># colored GCC warnings and errors</span></a>
<a class="sourceLine" id="cb1-88" title="88"><span class="co">#export GCC_COLORS=&#39;error=01;31:warning=01;35:note=01;36:caret=01;32:locus=01:quote=01&#39;</span></a>
<a class="sourceLine" id="cb1-89" title="89"></a>
<a class="sourceLine" id="cb1-90" title="90"><span class="co"># some more ls aliases</span></a>
<a class="sourceLine" id="cb1-91" title="91"><span class="bu">alias</span> ll=<span class="st">&#39;ls -alF&#39;</span></a>
<a class="sourceLine" id="cb1-92" title="92"><span class="bu">alias</span> la=<span class="st">&#39;ls -A&#39;</span></a>
<a class="sourceLine" id="cb1-93" title="93"><span class="bu">alias</span> l=<span class="st">&#39;ls -CF&#39;</span></a>
<a class="sourceLine" id="cb1-94" title="94"></a>
<a class="sourceLine" id="cb1-95" title="95"><span class="co"># Add an &quot;alert&quot; alias for long running commands.  Use like so:</span></a>
<a class="sourceLine" id="cb1-96" title="96"><span class="co">#   sleep 10; alert</span></a>
<a class="sourceLine" id="cb1-97" title="97"><span class="bu">alias</span> alert=<span class="st">&#39;notify-send --urgency=low -i &quot;$([ $? = 0 ] &amp;&amp; echo terminal || echo error)&quot; &quot;$(history|tail -n1|sed -e &#39;</span><span class="dt">\&#39;</span><span class="st">&#39;s/^\s*[0-9]\+\s*//;s/[;&amp;|]\s*alert$//&#39;</span><span class="dt">\&#39;</span><span class="st">&#39;)&quot;&#39;</span></a>
<a class="sourceLine" id="cb1-98" title="98"></a>
<a class="sourceLine" id="cb1-99" title="99"><span class="co"># Alias definitions.</span></a>
<a class="sourceLine" id="cb1-100" title="100"><span class="co"># You may want to put all your additions into a separate file like</span></a>
<a class="sourceLine" id="cb1-101" title="101"><span class="co"># ~/.bash_aliases, instead of adding them here directly.</span></a>
<a class="sourceLine" id="cb1-102" title="102"><span class="co"># See /usr/share/doc/bash-doc/examples in the bash-doc package.</span></a>
<a class="sourceLine" id="cb1-103" title="103"><span class="co"># ------------------------------------------------------------------------------</span></a>
<a class="sourceLine" id="cb1-104" title="104"><span class="co"># ---------------------------- general shortcuts--------------------------------</span></a>
<a class="sourceLine" id="cb1-105" title="105"><span class="co"># ------------------------------------------------------------------------------</span></a>
<a class="sourceLine" id="cb1-106" title="106"></a>
<a class="sourceLine" id="cb1-107" title="107"><span class="co"># -- easy reverse cd --</span></a>
<a class="sourceLine" id="cb1-108" title="108"></a>
<a class="sourceLine" id="cb1-109" title="109"><span class="bu">alias</span> .1=<span class="st">&#39;cd ..&#39;</span></a>
<a class="sourceLine" id="cb1-110" title="110"><span class="bu">alias</span> .2=<span class="st">&#39;cd ../../&#39;</span></a>
<a class="sourceLine" id="cb1-111" title="111"><span class="bu">alias</span> .3=<span class="st">&#39;cd ../../../&#39;</span></a>
<a class="sourceLine" id="cb1-112" title="112"><span class="bu">alias</span> .4=<span class="st">&#39;cd ../../../../&#39;</span></a>
<a class="sourceLine" id="cb1-113" title="113"><span class="bu">alias</span> .5=<span class="st">&#39;cd ../../../../../&#39;</span></a>
<a class="sourceLine" id="cb1-114" title="114"></a>
<a class="sourceLine" id="cb1-115" title="115"><span class="co"># -- easy ls with color--</span></a>
<a class="sourceLine" id="cb1-116" title="116"></a>
<a class="sourceLine" id="cb1-117" title="117"><span class="bu">alias</span> l=<span class="st">&#39;ls -CF&#39;</span></a>
<a class="sourceLine" id="cb1-118" title="118"><span class="bu">alias</span> la=<span class="st">&#39;ls -A&#39;</span></a>
<a class="sourceLine" id="cb1-119" title="119"><span class="bu">alias</span> ll=<span class="st">&#39;ls -alF&#39;</span></a>
<a class="sourceLine" id="cb1-120" title="120"><span class="bu">alias</span> ls=<span class="st">&#39;ls --color=auto&#39;</span></a>
<a class="sourceLine" id="cb1-121" title="121"></a>
<a class="sourceLine" id="cb1-122" title="122"><span class="co">#order by size</span></a>
<a class="sourceLine" id="cb1-123" title="123"><span class="bu">alias</span> lt=<span class="st">&#39;ls --human-readable --size -1 -S --classify&#39;</span></a>
<a class="sourceLine" id="cb1-124" title="124"></a>
<a class="sourceLine" id="cb1-125" title="125"><span class="co">#only show hidden files</span></a>
<a class="sourceLine" id="cb1-126" title="126"><span class="bu">alias</span> lh=<span class="st">&#39;ls -lisAd .[^.]*&#39;</span></a>
<a class="sourceLine" id="cb1-127" title="127"></a>
<a class="sourceLine" id="cb1-128" title="128"><span class="co"># -- grep with color --</span></a>
<a class="sourceLine" id="cb1-129" title="129"></a>
<a class="sourceLine" id="cb1-130" title="130"><span class="bu">alias</span> egrep=<span class="st">&#39;egrep --color=auto&#39;</span></a>
<a class="sourceLine" id="cb1-131" title="131"><span class="bu">alias</span> fgrep=<span class="st">&#39;fgrep --color=auto&#39;</span></a>
<a class="sourceLine" id="cb1-132" title="132"><span class="bu">alias</span> grep=<span class="st">&#39;grep --color=auto&#39;</span></a>
<a class="sourceLine" id="cb1-133" title="133"></a>
<a class="sourceLine" id="cb1-134" title="134"><span class="co"># -- safety nets --</span></a>
<a class="sourceLine" id="cb1-135" title="135"></a>
<a class="sourceLine" id="cb1-136" title="136"><span class="bu">alias</span> mv=<span class="st">&#39;mv -i&#39;</span></a>
<a class="sourceLine" id="cb1-137" title="137"><span class="bu">alias</span> rm=<span class="st">&#39;rm -i&#39;</span></a>
<a class="sourceLine" id="cb1-138" title="138"></a>
<a class="sourceLine" id="cb1-139" title="139"><span class="co"># -- system checks --</span></a>
<a class="sourceLine" id="cb1-140" title="140"></a>
<a class="sourceLine" id="cb1-141" title="141"><span class="bu">alias</span> meminfo=<span class="st">&#39;free -m -l -t&#39;</span></a>
<a class="sourceLine" id="cb1-142" title="142"><span class="bu">alias</span> topmem=<span class="st">&#39;ps auxf | sort -nr -k 4&#39;</span></a>
<a class="sourceLine" id="cb1-143" title="143"><span class="bu">alias</span> gpumeminfo=<span class="st">&#39;grep -i --color memory /var/log/Xorg.0.log&#39;</span></a>
<a class="sourceLine" id="cb1-144" title="144"><span class="bu">alias</span>  getipe=<span class="st">&#39;curl ipinfo.io/ip&#39;</span></a>
<a class="sourceLine" id="cb1-145" title="145"><span class="bu">alias</span> speed=<span class="st">&#39;speedtest-cli --server 2406 --simple&#39;</span></a>
<a class="sourceLine" id="cb1-146" title="146"></a>
<a class="sourceLine" id="cb1-147" title="147"><span class="co"># -- true laziness --</span></a>
<a class="sourceLine" id="cb1-148" title="148"></a>
<a class="sourceLine" id="cb1-149" title="149"><span class="bu">alias</span> c=<span class="st">&#39;clear&#39;</span></a>
<a class="sourceLine" id="cb1-150" title="150"><span class="bu">alias</span> update=<span class="st">&#39;sudo apt update &amp;&amp; sudo apt upgrade&#39;</span></a>
<a class="sourceLine" id="cb1-151" title="151"><span class="bu">alias</span> install=<span class="st">&#39;sudo apt install&#39;</span></a>
<a class="sourceLine" id="cb1-152" title="152"><span class="bu">alias</span> change-terminal=<span class="st">&#39;sudo update-alternatives --config x-terminal-emulator&#39;</span></a>
<a class="sourceLine" id="cb1-153" title="153"><span class="bu">alias</span> pip=<span class="st">&quot;pip3&quot;</span></a>
<a class="sourceLine" id="cb1-154" title="154"><span class="bu">alias</span> www=<span class="st">&#39;python -m SimpleHTTPServer 8000&#39;</span></a>
<a class="sourceLine" id="cb1-155" title="155"><span class="bu">alias</span> vim=<span class="st">&#39;nvim&#39;</span></a>
<a class="sourceLine" id="cb1-156" title="156"></a>
<a class="sourceLine" id="cb1-157" title="157"></a>
<a class="sourceLine" id="cb1-158" title="158"><span class="co"># ------------------------------------------------------------------------------</span></a>
<a class="sourceLine" id="cb1-159" title="159"><span class="co"># ------------------------------ git shortcuts----------------------------------</span></a>
<a class="sourceLine" id="cb1-160" title="160"><span class="co"># ------------------------------------------------------------------------------</span></a>
<a class="sourceLine" id="cb1-161" title="161"></a>
<a class="sourceLine" id="cb1-162" title="162"><span class="bu">alias</span> commit=<span class="st">&#39;git commit -m&#39;</span></a>
<a class="sourceLine" id="cb1-163" title="163"><span class="bu">alias</span> gc=<span class="st">&#39;git checkout&#39;</span></a>
<a class="sourceLine" id="cb1-164" title="164"><span class="bu">alias</span> log=<span class="st">&#39;git log --oneline&#39;</span></a>
<a class="sourceLine" id="cb1-165" title="165"><span class="bu">alias</span> status=<span class="st">&#39;git status&#39;</span></a>
<a class="sourceLine" id="cb1-166" title="166"><span class="bu">alias</span> setremote=<span class="st">&#39;git remote set-url origin&#39;</span></a>
<a class="sourceLine" id="cb1-167" title="167"></a>
<a class="sourceLine" id="cb1-168" title="168"></a>
<a class="sourceLine" id="cb1-169" title="169"><span class="co"># ------------------------------------------------------------------------------</span></a>
<a class="sourceLine" id="cb1-170" title="170"><span class="co"># ------------------------------ psql shortcuts---------------------------------</span></a>
<a class="sourceLine" id="cb1-171" title="171"><span class="co"># ------------------------------------------------------------------------------</span></a>
<a class="sourceLine" id="cb1-172" title="172"></a>
<a class="sourceLine" id="cb1-173" title="173"><span class="bu">alias</span> psql=<span class="st">&#39;psql -h localhost&#39;</span></a>
<a class="sourceLine" id="cb1-174" title="174"><span class="bu">alias</span> sc=<span class="st">&#39;npx sequelize-cli&#39;</span></a>
<a class="sourceLine" id="cb1-175" title="175"><span class="bu">alias</span> sc-init=<span class="st">&#39;npx sequelize-cli init&#39;</span></a>
<a class="sourceLine" id="cb1-176" title="176"></a>
<a class="sourceLine" id="cb1-177" title="177"><span class="bu">alias</span> sc-makedb=<span class="st">&#39;npx sequelize-cli db:create&#39;</span></a>
<a class="sourceLine" id="cb1-178" title="178"><span class="bu">alias</span> sc-makemodel=<span class="st">&#39;npx sequelize-cli model:generate&#39;</span></a>
<a class="sourceLine" id="cb1-179" title="179"></a>
<a class="sourceLine" id="cb1-180" title="180"><span class="bu">alias</span> sc-migrate=<span class="st">&#39;npx sequelize-cli db:migrate&#39;</span></a>
<a class="sourceLine" id="cb1-181" title="181"></a>
<a class="sourceLine" id="cb1-182" title="182"><span class="bu">alias</span> sc-genseed=<span class="st">&#39;npx sequelize-cli seed:generate&#39;</span></a>
<a class="sourceLine" id="cb1-183" title="183"><span class="bu">alias</span> sc-seed=<span class="st">&#39;npm sequelize-cli db:seed:all&#39;</span></a>
<a class="sourceLine" id="cb1-184" title="184"><span class="co">###-begin-npm-completion-</span><span class="al">###</span></a>
<a class="sourceLine" id="cb1-185" title="185"><span class="co">#</span></a>
<a class="sourceLine" id="cb1-186" title="186"><span class="co"># npm command completion script</span></a>
<a class="sourceLine" id="cb1-187" title="187"><span class="co">#</span></a>
<a class="sourceLine" id="cb1-188" title="188"><span class="co"># Installation: npm completion &gt;&gt; ~/.bashrc  (or ~/.zshrc)</span></a>
<a class="sourceLine" id="cb1-189" title="189"><span class="co"># Or, maybe: npm completion &gt; /usr/local/etc/bash_completion.d/npm</span></a>
<a class="sourceLine" id="cb1-190" title="190"><span class="co">#</span></a>
<a class="sourceLine" id="cb1-191" title="191"></a>
<a class="sourceLine" id="cb1-192" title="192"></a>
<a class="sourceLine" id="cb1-193" title="193"></a>
<a class="sourceLine" id="cb1-194" title="194"><span class="co">##------------------------------------</span></a>
<a class="sourceLine" id="cb1-195" title="195"></a>
<a class="sourceLine" id="cb1-196" title="196"><span class="bu">alias</span> ls=<span class="st">&#39;ls --color=auto&#39;</span></a>
<a class="sourceLine" id="cb1-197" title="197"></a>
<a class="sourceLine" id="cb1-198" title="198"><span class="bu">alias</span> ..=<span class="st">&#39;cd ..&#39;</span></a>
<a class="sourceLine" id="cb1-199" title="199"><span class="bu">alias</span> ...=<span class="st">&#39;cd ../..&#39;</span></a>
<a class="sourceLine" id="cb1-200" title="200"><span class="bu">alias</span> back=<span class="st">&#39;cd -&#39;</span></a>
<a class="sourceLine" id="cb1-201" title="201"></a>
<a class="sourceLine" id="cb1-202" title="202"><span class="bu">alias</span> l=<span class="st">&#39;ls&#39;</span></a>
<a class="sourceLine" id="cb1-203" title="203"><span class="bu">alias</span> sl=<span class="st">&#39;ls&#39;</span></a>
<a class="sourceLine" id="cb1-204" title="204"></a>
<a class="sourceLine" id="cb1-205" title="205"><span class="bu">alias</span> ini=<span class="st">&quot;git init &amp;&amp; git add . &amp;&amp; git commit -m &#39;initial commit&#39;&quot;</span></a>
<a class="sourceLine" id="cb1-206" title="206"><span class="bu">alias</span> norm=<span class="st">&quot;git add . &amp;&amp; git commit -m &#39;update&#39;&quot;</span></a>
<a class="sourceLine" id="cb1-207" title="207"><span class="bu">alias</span> commit=<span class="st">&#39;git commit&#39;</span></a>
<a class="sourceLine" id="cb1-208" title="208"><span class="bu">alias</span> check=<span class="st">&#39;git checkout&#39;</span></a>
<a class="sourceLine" id="cb1-209" title="209"><span class="bu">alias</span> status=<span class="st">&#39;git status&#39;</span></a>
<a class="sourceLine" id="cb1-210" title="210"><span class="bu">alias</span> push=<span class="st">&#39;git push&#39;</span></a>
<a class="sourceLine" id="cb1-211" title="211"><span class="bu">alias</span> pull=<span class="st">&#39;git pull&#39;</span></a>
<a class="sourceLine" id="cb1-212" title="212"><span class="bu">alias</span> stash=<span class="st">&#39;git stash&#39;</span></a>
<a class="sourceLine" id="cb1-213" title="213"><span class="bu">alias</span> pop=<span class="st">&#39;git stash pop&#39;</span></a>
<a class="sourceLine" id="cb1-214" title="214"></a>
<a class="sourceLine" id="cb1-215" title="215"></a>
<a class="sourceLine" id="cb1-216" title="216"></a>
<a class="sourceLine" id="cb1-217" title="217"><span class="bu">alias</span> unzipa=<span class="st">&#39;find . -name &quot;*.zip&quot; | while read filename; do unzip -o -d &quot;`dirname &quot;$filename&quot;`&quot; &quot;$filename&quot;; done;&#39;</span></a>
<a class="sourceLine" id="cb1-218" title="218"></a>
<a class="sourceLine" id="cb1-219" title="219"></a>
<a class="sourceLine" id="cb1-220" title="220"><span class="bu">alias</span> run=<span class="st">&#39;./manage.py runserver 0.0.0.0:8000&#39;</span></a>
<a class="sourceLine" id="cb1-221" title="221"><span class="bu">alias</span> syncdb=<span class="st">&#39;./manage.py syncdb&#39;</span></a>
<a class="sourceLine" id="cb1-222" title="222"><span class="bu">alias</span> numFiles=<span class="st">&#39;echo $(ls -1 | wc -l)&#39;</span>       <span class="co"># numFiles:     Count of non-hidden files in current dir</span></a>
<a class="sourceLine" id="cb1-223" title="223"><span class="bu">alias</span> make1mb=<span class="st">&#39;truncate -s 1m ./1MB.dat&#39;</span>     <span class="co"># make1mb:      Creates a file of 1mb size (all zeros)</span></a>
<a class="sourceLine" id="cb1-224" title="224"><span class="bu">alias</span> make5mb=<span class="st">&#39;truncate -s 5m ./5MB.dat&#39;</span>     <span class="co"># make5mb:      Creates a file of 5mb size (all zeros)</span></a>
<a class="sourceLine" id="cb1-225" title="225"><span class="bu">alias</span> make10mb=<span class="st">&#39;truncate -s 10m ./10MB.dat&#39;</span>  <span class="co"># make10mb:     Creates a file of 10mb size (all zeros)</span></a>
<a class="sourceLine" id="cb1-226" title="226"></a>
<a class="sourceLine" id="cb1-227" title="227"></a>
<a class="sourceLine" id="cb1-228" title="228"><span class="co">#   ---------------------------</span></a>
<a class="sourceLine" id="cb1-229" title="229"><span class="co">#   2.  SEARCHING</span></a>
<a class="sourceLine" id="cb1-230" title="230"><span class="co">#   ---------------------------</span></a>
<a class="sourceLine" id="cb1-231" title="231"></a>
<a class="sourceLine" id="cb1-232" title="232"><span class="bu">alias</span> qfind=<span class="st">&quot;find . -name &quot;</span>                 <span class="co"># qfind:    Quickly search for file</span></a>
<a class="sourceLine" id="cb1-233" title="233"></a>
<a class="sourceLine" id="cb1-234" title="234"></a>
<a class="sourceLine" id="cb1-235" title="235"><span class="co">#   ---------------------------</span></a>
<a class="sourceLine" id="cb1-236" title="236"><span class="co">#   3.  PROCESS MANAGEMENT</span></a>
<a class="sourceLine" id="cb1-237" title="237"><span class="co">#   ---------------------------</span></a>
<a class="sourceLine" id="cb1-238" title="238"></a>
<a class="sourceLine" id="cb1-239" title="239"><span class="co">#   memHogsTop, memHogsPs:  Find memory hogs</span></a>
<a class="sourceLine" id="cb1-240" title="240"><span class="co">#   -----------------------------------------------------</span></a>
<a class="sourceLine" id="cb1-241" title="241">    <span class="bu">alias</span> memHogsTop=<span class="st">&#39;top -l 1 -o rsize | head -20&#39;</span></a>
<a class="sourceLine" id="cb1-242" title="242">    <span class="bu">alias</span> memHogsPs=<span class="st">&#39;ps wwaxm -o pid,stat,vsize,rss,time,command | head -10&#39;</span></a>
<a class="sourceLine" id="cb1-243" title="243"></a>
<a class="sourceLine" id="cb1-244" title="244"><span class="co">#   cpuHogs:  Find CPU hogs</span></a>
<a class="sourceLine" id="cb1-245" title="245"><span class="co">#   -----------------------------------------------------</span></a>
<a class="sourceLine" id="cb1-246" title="246">    <span class="bu">alias</span> cpu_hogs=<span class="st">&#39;ps wwaxr -o pid,stat,%cpu,time,command | head -10&#39;</span></a>
<a class="sourceLine" id="cb1-247" title="247"></a>
<a class="sourceLine" id="cb1-248" title="248"><span class="co">#   topForever:  Continual &#39;top&#39; listing (every 10 seconds)</span></a>
<a class="sourceLine" id="cb1-249" title="249"><span class="co">#   -----------------------------------------------------</span></a>
<a class="sourceLine" id="cb1-250" title="250">    <span class="bu">alias</span> topForever=<span class="st">&#39;top -l 9999999 -s 10 -o cpu&#39;</span></a>
<a class="sourceLine" id="cb1-251" title="251"></a>
<a class="sourceLine" id="cb1-252" title="252"><span class="co">#   ttop:  Recommended &#39;top&#39; invocation to minimize resources</span></a>
<a class="sourceLine" id="cb1-253" title="253"><span class="co">#   ------------------------------------------------------------</span></a>
<a class="sourceLine" id="cb1-254" title="254"><span class="co">#       Taken from this macosxhints article</span></a>
<a class="sourceLine" id="cb1-255" title="255"><span class="co">#       http://www.macosxhints.com/article.php?story=20060816123853639</span></a>
<a class="sourceLine" id="cb1-256" title="256"><span class="co">#   ------------------------------------------------------------</span></a>
<a class="sourceLine" id="cb1-257" title="257">    <span class="bu">alias</span> ttop=<span class="st">&quot;top -R -F -s 10 -o rsize&quot;</span></a>
<a class="sourceLine" id="cb1-258" title="258"></a>
<a class="sourceLine" id="cb1-259" title="259"></a>
<a class="sourceLine" id="cb1-260" title="260"><span class="co">#   ---------------------------</span></a>
<a class="sourceLine" id="cb1-261" title="261"><span class="co">#   4.  NETWORKING</span></a>
<a class="sourceLine" id="cb1-262" title="262"><span class="co">#   ---------------------------</span></a>
<a class="sourceLine" id="cb1-263" title="263"></a>
<a class="sourceLine" id="cb1-264" title="264"><span class="bu">alias</span> netCons=<span class="st">&#39;lsof -i&#39;</span>                                   <span class="co"># netCons:      Show all open TCP/IP sockets</span></a>
<a class="sourceLine" id="cb1-265" title="265"><span class="bu">alias</span> lsock=<span class="st">&#39;sudo /usr/sbin/lsof -i -P&#39;</span>                   <span class="co"># lsock:        Display open sockets</span></a>
<a class="sourceLine" id="cb1-266" title="266"><span class="bu">alias</span> lsockU=<span class="st">&#39;sudo /usr/sbin/lsof -nP | grep UDP&#39;</span>         <span class="co"># lsockU:       Display only open UDP sockets</span></a>
<a class="sourceLine" id="cb1-267" title="267"><span class="bu">alias</span> lsockT=<span class="st">&#39;sudo /usr/sbin/lsof -nP | grep TCP&#39;</span>         <span class="co"># lsockT:       Display only open TCP sockets</span></a>
<a class="sourceLine" id="cb1-268" title="268"><span class="bu">alias</span> ipInfo0=<span class="st">&#39;ifconfig getpacket en0&#39;</span>                    <span class="co"># ipInfo0:      Get info on connections for en0</span></a>
<a class="sourceLine" id="cb1-269" title="269"><span class="bu">alias</span> ipInfo1=<span class="st">&#39;ifconfig getpacket en1&#39;</span>                    <span class="co"># ipInfo1:      Get info on connections for en1</span></a>
<a class="sourceLine" id="cb1-270" title="270"><span class="bu">alias</span> openPorts=<span class="st">&#39;sudo lsof -i | grep LISTEN&#39;</span>              <span class="co"># openPorts:    All listening connections</span></a>
<a class="sourceLine" id="cb1-271" title="271"><span class="bu">alias</span> showBlocked=<span class="st">&#39;sudo ipfw list&#39;</span>                        <span class="co"># showBlocked:  All ipfw rules inc/ blocked IPs</span></a>
<a class="sourceLine" id="cb1-272" title="272"></a>
<a class="sourceLine" id="cb1-273" title="273"></a>
<a class="sourceLine" id="cb1-274" title="274"><span class="co">#   ---------------------------------------</span></a>
<a class="sourceLine" id="cb1-275" title="275"><span class="co">#   5.  SYSTEMS OPERATIONS &amp; INFORMATION</span></a>
<a class="sourceLine" id="cb1-276" title="276"><span class="co">#   ---------------------------------------</span></a>
<a class="sourceLine" id="cb1-277" title="277"></a>
<a class="sourceLine" id="cb1-278" title="278"><span class="bu">alias</span> mountReadWrite=<span class="st">&#39;/sbin/mount -uw /&#39;</span>    <span class="co"># mountReadWrite:   For use when booted into single-user</span></a>
<a class="sourceLine" id="cb1-279" title="279"></a>
<a class="sourceLine" id="cb1-280" title="280"></a>
<a class="sourceLine" id="cb1-281" title="281"><span class="co">#   ---------------------------------------</span></a>
<a class="sourceLine" id="cb1-282" title="282"><span class="co">#   6.  DATE &amp; TIME MANAGEMENT</span></a>
<a class="sourceLine" id="cb1-283" title="283"><span class="co">#   ---------------------------------------</span></a>
<a class="sourceLine" id="cb1-284" title="284"></a>
<a class="sourceLine" id="cb1-285" title="285"><span class="bu">alias</span> bdate=<span class="st">&quot;date &#39;+%a, %b %d %Y %T %Z&#39;&quot;</span></a>
<a class="sourceLine" id="cb1-286" title="286"><span class="bu">alias</span> cal3=<span class="st">&#39;cal -3&#39;</span></a>
<a class="sourceLine" id="cb1-287" title="287"><span class="bu">alias</span> da=<span class="st">&#39;date &quot;+%Y-%m-%d %A    %T %Z&quot;&#39;</span></a>
<a class="sourceLine" id="cb1-288" title="288"><span class="bu">alias</span> daysleft=<span class="st">&#39;echo &quot;There are $(($(date +%j -d&quot;Dec 31, $(date +%Y)&quot;)-$(date +%j))) left in year $(date +%Y).&quot;&#39;</span></a>
<a class="sourceLine" id="cb1-289" title="289"><span class="bu">alias</span> epochtime=<span class="st">&#39;date +%s&#39;</span></a>
<a class="sourceLine" id="cb1-290" title="290"><span class="bu">alias</span> mytime=<span class="st">&#39;date +%H:%M:%S&#39;</span></a>
<a class="sourceLine" id="cb1-291" title="291"><span class="bu">alias</span> secconvert=<span class="st">&#39;date -d@1234567890&#39;</span></a>
<a class="sourceLine" id="cb1-292" title="292"><span class="bu">alias</span> stamp=<span class="st">&#39;date &quot;+%Y%m%d%a%H%M&quot;&#39;</span></a>
<a class="sourceLine" id="cb1-293" title="293"><span class="bu">alias</span> timestamp=<span class="st">&#39;date &quot;+%Y%m%dT%H%M%S&quot;&#39;</span></a>
<a class="sourceLine" id="cb1-294" title="294"><span class="bu">alias</span> today=<span class="st">&#39;date +&quot;%A, %B %-d, %Y&quot;&#39;</span></a>
<a class="sourceLine" id="cb1-295" title="295"><span class="bu">alias</span> weeknum=<span class="st">&#39;date +%V&#39;</span></a>
<a class="sourceLine" id="cb1-296" title="296"><span class="co"># Example aliases</span></a>
<a class="sourceLine" id="cb1-297" title="297"><span class="co"># alias bashconfig=&quot;mate ~/.bashrc&quot;</span></a>
<a class="sourceLine" id="cb1-298" title="298"><span class="co"># alias ohmybash=&quot;mate ~/.oh-my-bash&quot;</span></a>
<a class="sourceLine" id="cb1-299" title="299"><span class="co"># Alias definitions.</span></a>
<a class="sourceLine" id="cb1-300" title="300"><span class="co"># You may want to put all your additions into a separate file like</span></a>
<a class="sourceLine" id="cb1-301" title="301"><span class="co"># ~/.bash_aliases, instead of adding them here directly.</span></a>
<a class="sourceLine" id="cb1-302" title="302"><span class="co"># See /usr/share/doc/bash-doc/examples in the bash-doc package.</span></a>
<a class="sourceLine" id="cb1-303" title="303"></a>
<a class="sourceLine" id="cb1-304" title="304"><span class="kw">if</span><span class="bu"> [</span> <span class="ot">-f</span> ~/.bash_aliases<span class="bu"> ]</span>; <span class="kw">then</span></a>
<a class="sourceLine" id="cb1-305" title="305">    <span class="bu">.</span> <span class="ex">~/.bash_aliases</span></a>
<a class="sourceLine" id="cb1-306" title="306"><span class="kw">fi</span></a>
<a class="sourceLine" id="cb1-307" title="307"></a>
<a class="sourceLine" id="cb1-308" title="308"><span class="co"># enable programmable completion features (you don&#39;t need to enable</span></a>
<a class="sourceLine" id="cb1-309" title="309"><span class="co"># this, if it&#39;s already enabled in /etc/bash.bashrc and /etc/profile</span></a>
<a class="sourceLine" id="cb1-310" title="310"><span class="co"># sources /etc/bash.bashrc).</span></a>
<a class="sourceLine" id="cb1-311" title="311"><span class="kw">if</span> ! <span class="bu">shopt</span> -oq posix<span class="kw">;</span> <span class="kw">then</span></a>
<a class="sourceLine" id="cb1-312" title="312">  <span class="kw">if</span><span class="bu"> [</span> <span class="ot">-f</span> /usr/share/bash-completion/bash_completion<span class="bu"> ]</span>; <span class="kw">then</span></a>
<a class="sourceLine" id="cb1-313" title="313">    <span class="bu">.</span> <span class="ex">/usr/share/bash-completion/bash_completion</span></a>
<a class="sourceLine" id="cb1-314" title="314">  <span class="kw">elif</span><span class="bu"> [</span> <span class="ot">-f</span> /etc/bash_completion<span class="bu"> ]</span>; <span class="kw">then</span></a>
<a class="sourceLine" id="cb1-315" title="315">    <span class="bu">.</span> <span class="ex">/etc/bash_completion</span></a>
<a class="sourceLine" id="cb1-316" title="316">  <span class="kw">fi</span></a>
<a class="sourceLine" id="cb1-317" title="317"><span class="kw">fi</span></a>
<a class="sourceLine" id="cb1-318" title="318"></a>
<a class="sourceLine" id="cb1-319" title="319"><span class="bu">export</span> <span class="va">NVM_DIR=</span><span class="st">&quot;</span><span class="va">$HOME</span><span class="st">/.nvm&quot;</span></a>
<a class="sourceLine" id="cb1-320" title="320"><span class="bu">[</span> <span class="ot">-s</span> <span class="st">&quot;</span><span class="va">$NVM_DIR</span><span class="st">/nvm.sh&quot;</span><span class="bu"> ]</span> <span class="kw">&amp;&amp;</span> \<span class="bu">.</span> <span class="st">&quot;</span><span class="va">$NVM_DIR</span><span class="st">/nvm.sh&quot;</span>  <span class="co"># This loads nvm</span></a>
<a class="sourceLine" id="cb1-321" title="321"><span class="bu">[</span> <span class="ot">-s</span> <span class="st">&quot;</span><span class="va">$NVM_DIR</span><span class="st">/bash_completion&quot;</span><span class="bu"> ]</span> <span class="kw">&amp;&amp;</span> \<span class="bu">.</span> <span class="st">&quot;</span><span class="va">$NVM_DIR</span><span class="st">/bash_completion&quot;</span>  <span class="co"># This loads nvm bash_completion</span></a>
<a class="sourceLine" id="cb1-322" title="322"><span class="co"># ------------------------------------------------------------------------------</span></a>
<a class="sourceLine" id="cb1-323" title="323"><span class="co"># ---- controls what displays on every line of terminal that is not the output log-----------</span></a>
<a class="sourceLine" id="cb1-324" title="324"><span class="co">#--- the \W outputs the current working directory</span></a>
<a class="sourceLine" id="cb1-325" title="325"><span class="co"># ------------------------------------------------------------------------------</span></a>
<a class="sourceLine" id="cb1-326" title="326"></a>
<a class="sourceLine" id="cb1-327" title="327"><span class="co">#--------------------function that ls&#39;s every time I cd into a new directory-----------</span></a>
<a class="sourceLine" id="cb1-328" title="328"><span class="co">#   i.e.)       home ====&gt;cd ..</span></a>
<a class="sourceLine" id="cb1-329" title="329"><span class="co">#bin   dev  home  lib    lib64   lost+found  mnt  proc  run   snap  sys  usr</span></a>
<a class="sourceLine" id="cb1-330" title="330"><span class="co">#boot  etc  init  lib32  libx32  media       opt  root  sbin  srv   tmp  var</span></a>
<a class="sourceLine" id="cb1-331" title="331"><span class="co">#/ ====&gt;</span></a>
<a class="sourceLine" id="cb1-332" title="332"><span class="co">#------------------------------------------------------------------------------------------------</span></a>
<a class="sourceLine" id="cb1-333" title="333"><span class="kw">function</span><span class="fu"> cd</span> <span class="kw">{</span></a>
<a class="sourceLine" id="cb1-334" title="334">    <span class="kw">if</span><span class="bu"> [</span> <span class="ot">-z</span> <span class="st">&quot;</span><span class="va">$1</span><span class="st">&quot;</span><span class="bu"> ]</span>; <span class="kw">then</span></a>
<a class="sourceLine" id="cb1-335" title="335">        <span class="bu">builtin</span> cd</a>
<a class="sourceLine" id="cb1-336" title="336">    <span class="kw">else</span></a>
<a class="sourceLine" id="cb1-337" title="337">        <span class="bu">builtin</span> cd <span class="st">&quot;</span><span class="va">$1</span><span class="st">&quot;</span></a>
<a class="sourceLine" id="cb1-338" title="338">    <span class="kw">fi</span></a>
<a class="sourceLine" id="cb1-339" title="339">    <span class="kw">if</span><span class="bu"> [</span> <span class="va">$?</span> <span class="ot">-eq</span> 0<span class="bu"> ]</span>; <span class="kw">then</span></a>
<a class="sourceLine" id="cb1-340" title="340">    <span class="bu">printf</span> <span class="st">&#39;\n&#39;</span></a>
<a class="sourceLine" id="cb1-341" title="341">        <span class="fu">ls</span></a>
<a class="sourceLine" id="cb1-342" title="342">    <span class="kw">fi</span></a>
<a class="sourceLine" id="cb1-343" title="343"><span class="kw">}</span></a>
<a class="sourceLine" id="cb1-344" title="344"><span class="co">#------------------------------------------------------------------------------------------------</span></a>
<a class="sourceLine" id="cb1-345" title="345"></a>
<a class="sourceLine" id="cb1-346" title="346"></a>
<a class="sourceLine" id="cb1-347" title="347"></a>
<a class="sourceLine" id="cb1-348" title="348"></a>
<a class="sourceLine" id="cb1-349" title="349"><span class="kw">if</span><span class="bu"> [</span> <span class="ot">-f</span> ~/.bash_aliases<span class="bu"> ]</span>; <span class="kw">then</span></a>
<a class="sourceLine" id="cb1-350" title="350">    <span class="bu">.</span> <span class="ex">~/.bash_aliases</span></a>
<a class="sourceLine" id="cb1-351" title="351"><span class="kw">fi</span></a>
<a class="sourceLine" id="cb1-352" title="352"></a>
<a class="sourceLine" id="cb1-353" title="353"><span class="co"># enable programmable completion features (you don&#39;t need to enable</span></a>
<a class="sourceLine" id="cb1-354" title="354"><span class="co"># this, if it&#39;s already enabled in /etc/bash.bashrc and /etc/profile</span></a>
<a class="sourceLine" id="cb1-355" title="355"><span class="co"># sources /etc/bash.bashrc).</span></a>
<a class="sourceLine" id="cb1-356" title="356"><span class="kw">if</span> ! <span class="bu">shopt</span> -oq posix<span class="kw">;</span> <span class="kw">then</span></a>
<a class="sourceLine" id="cb1-357" title="357">  <span class="kw">if</span><span class="bu"> [</span> <span class="ot">-f</span> /usr/share/bash-completion/bash_completion<span class="bu"> ]</span>; <span class="kw">then</span></a>
<a class="sourceLine" id="cb1-358" title="358">    <span class="bu">.</span> <span class="ex">/usr/share/bash-completion/bash_completion</span></a>
<a class="sourceLine" id="cb1-359" title="359">  <span class="kw">elif</span><span class="bu"> [</span> <span class="ot">-f</span> /etc/bash_completion<span class="bu"> ]</span>; <span class="kw">then</span></a>
<a class="sourceLine" id="cb1-360" title="360">    <span class="bu">.</span> <span class="ex">/etc/bash_completion</span></a>
<a class="sourceLine" id="cb1-361" title="361">  <span class="kw">fi</span></a>
<a class="sourceLine" id="cb1-362" title="362"><span class="kw">fi</span></a>
<a class="sourceLine" id="cb1-363" title="363"></a></code></pre>
    </div>
  </body>
</html>
